Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.actions
Class AbstractInstallAction

    java.lang.Object
      com.install4j.api.beans.AbstractBean
          com.install4j.api.actions.AbstractInstallAction

All Implemented Interfaces:
  Action, InstallAction, Bean

    public abstract class AbstractInstallAction

extends AbstractBean
implements InstallAction

Abstract base class for install actions. The `rollback` method does nothing by default. Override it in your action to perform an actual rollback.

Author:
  ej-technologies GmbH

Constructor Summary
`AbstractInstallAction()`

Method Summary
`void` | `init(Context context)` This method is called after the properties have been set
`boolean` | `isRollbackSupported()` This method is called by the framework to determine if the action supports a rollback.
`void` | `rollback(InstallerContext context)` This method is called by the framework to perform a rollback of the `install` method.

Methods inherited from class com.install4j.api.beans.AbstractBean
`replaceVariables, replaceVariables, replaceVariables, replaceVariables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.install4j.api.actions.InstallAction
`install`

Constructor Detail

### AbstractInstallAction

    public AbstractInstallAction()

Method Detail

### rollback

    public void rollback(InstallerContext context)

  Description copied from interface: `InstallAction`
  This method is called by the framework to perform a rollback of the `install` method. This method is only called if the `install` method has already been called and the installation is canceled by the user or if the installation fails. If this action is executed before a rollback barrier that has already been passed sucessfully, the rollback will not be performed for this action. The "Installation screen" is the only default rollback barrier in install4j.

  Specified by:
    `rollback` in interface `InstallAction`
  Parameters:
    `context` - the context of the installation.

### init

    public void init(Context context)

  Description copied from interface: `Action`
  This method is called after the properties have been set

  Specified by:
    `init` in interface `Action`
  Parameters:
    `context` - the installation or uninstallation context

### isRollbackSupported

    public boolean isRollbackSupported()

  Description copied from interface: `InstallAction`
  This method is called by the framework to determine if the action supports a rollback.

  Specified by:
    `isRollbackSupported` in interface `InstallAction`
  Returns:
    `true` if a rollback is supported.

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD